'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _$nav = require('./$nav');

var _$nav2 = _interopRequireDefault(_$nav);

var _getTypeErrorMessage = require('./utils/getTypeErrorMessage');

var _getTypeErrorMessage2 = _interopRequireDefault(_getTypeErrorMessage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var $first = (0, _$nav2.default)(function (seq) {
  if (!seq || (typeof seq === 'undefined' ? 'undefined' : _typeof(seq)) !== 'object') {
    throw new Error((0, _getTypeErrorMessage2.default)('$first', 'object', seq));
  }
  if (Array.isArray(seq)) {
    return [0];
  }
  for (var key in seq) {
    if (seq.hasOwnProperty(key)) {
      return [key];
    }
  }
  return undefined;
});

exports.default = $first;