'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _$traverse = require('./$traverse');

var _$traverse2 = _interopRequireDefault(_$traverse);

var _createMerge = require('./utils/createMerge');

var _createMerge2 = _interopRequireDefault(_createMerge);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mergeDeep = (0, _createMerge2.default)({ isDeep: true });

var $mergeDeep = function $mergeDeep(spec) {
  return (0, _$traverse2.default)(function (type, object, next) {
    return next(mergeDeep(spec, object));
  });
};

exports.default = $mergeDeep;