'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _$setContext = require('./$setContext');

var _$setContext2 = _interopRequireDefault(_$setContext);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var identity = function identity(v) {
  return v;
};

var $pushContext = function $pushContext(key) {
  var fn = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : identity;
  return (0, _$setContext2.default)(key, function (obj, ctx) {
    return (ctx[key] || []).concat(fn(obj, ctx));
  });
};

exports.default = $pushContext;