'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.$setContextKey = undefined;

var _objectAssign = require('object-assign');

var _objectAssign2 = _interopRequireDefault(_objectAssign);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var $setContextKey = exports.$setContextKey = '@@qim/$setContext';

var setContext = function setContext(nav, value, context) {
  context = (0, _objectAssign2.default)({}, context);
  context[nav.key] = value;
  return context;
};

var identity = function identity(v) {
  return v;
};

var $setContext = function $setContext(key) {
  var fn = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : identity;
  return { '@@qim/nav': $setContextKey, setContext: setContext, key: key, fn: fn };
};

exports.default = $setContext;