'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var selectKey = exports.selectKey = '@@qim/navSelect';
var updateKey = exports.updateKey = '@@qim/navUpdate';

var $traverse = function $traverse(spec) {
  var _ref2;

  if (typeof spec === 'function') {
    var _ref;

    return _ref = {}, _defineProperty(_ref, selectKey, function (object, next, path, index) {
      return spec('select', object, next, path, index);
    }), _defineProperty(_ref, updateKey, function (object, next, path, index) {
      return spec('update', object, next, path, index);
    }), _ref;
  }
  return _ref2 = {}, _defineProperty(_ref2, selectKey, spec.select), _defineProperty(_ref2, updateKey, spec.update), _ref2;
};

exports.default = $traverse;