'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _$traverse = require('./$traverse');

var _traverse = require('./traverse');

var _curry = require('./utils/curry');

var _$none = require('./$none');

var apply = function apply(path, transform, obj) {
  path = Array.isArray(path) ? path : [path];
  return (0, _$none.undefinedIfNone)((0, _traverse.traverseEach)(_$traverse.updateKey, undefined, undefined, path, obj, 0, transform));
};

exports.default = (0, _curry.curry3)(apply);