'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var pathKey = exports.pathKey = '@@qim/navPath';

var $nav = function $nav(path) {
  if (typeof path !== 'function' && !Array.isArray(path)) {
    if ((typeof path === 'undefined' ? 'undefined' : _typeof(path)) === 'object') {
      throw new Error('Function or array or primitive is required to create a path navigator.');
    }
    path = [path];
  }
  var nav = _defineProperty({}, pathKey, path);
  nav.self = nav;
  if (arguments.length > 1) {
    var moreNavPaths = [];
    for (var i = 1; i < arguments.length; i++) {
      path = arguments[i];
      if (typeof path !== 'function' && !Array.isArray(path)) {
        if ((typeof path === 'undefined' ? 'undefined' : _typeof(path)) === 'object') {
          throw new Error('Function or array or primitive is required to create a path navigator.');
        }
        path = [path];
      }
      moreNavPaths.push(path);
    }
    nav.moreNavPaths = moreNavPaths;
  }
  return nav;
};

exports.default = $nav;