'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var $noneKey = exports.$noneKey = '@@qim/$noneKey';

var $none = { '@@qim/nav': $noneKey };

var isNone = exports.isNone = function isNone(value) {
  return value && value['@@qim/nav'] === $noneKey;
};

var undefinedIfNone = exports.undefinedIfNone = function undefinedIfNone(value) {
  return isNone(value) ? undefined : value;
};

exports.default = $none;