'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _$traverse = require('./$traverse');

var _curry = require('./utils/curry');

var _arrayify = require('./utils/arrayify');

var _arrayify2 = _interopRequireDefault(_arrayify);

var _traverse = require('./traverse');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// select is just a traverse that pushes each result onto an array.
var selectResultFn = function selectResultFn(state, result) {
  state.push(result);
  return state;
};

var select = function select(path, object) {
  if (path == null) {
    return [];
  }
  path = (0, _arrayify2.default)(path);
  var result = [];
  (0, _traverse.traverseEach)(_$traverse.selectKey, result, selectResultFn, path, object, 0);
  return result;
};

exports.default = (0, _curry.curry2)(select);