'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _$traverse = require('./$traverse');

var _curry = require('./utils/curry');

var _arrayify = require('./utils/arrayify');

var _arrayify2 = _interopRequireDefault(_arrayify);

var _$none = require('./$none');

var _traverse = require('./traverse');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// update is a traverse that has no state or result function.
var update = function update(path, obj) {
  return path == null ? obj : (0, _$none.undefinedIfNone)((0, _traverse.traverseEach)(_$traverse.updateKey, undefined, undefined, (0, _arrayify2.default)(path), obj, 0));
};

exports.default = (0, _curry.curry2)(update);